#Get the path to the data:
setwd("C:/Users/tobib/OneDrive/Desktop/Summary_Data_Lancaster/Continuum_Limit_Plots_Fig2/Continuum_Limit_Plots_xir_2_L12_Paper")
#Random disorder strength:
xir <- 2

#Measurement strengths:
strs <- c(0.5,1,2,3)

#Time step increment values:
dts <- c(0.001,0.005,0.01,0.02,0.05, 0.1)
cols <- c("black","navy","seagreen","firebrick1", "gold", "purple","cyan1", "lightslategray","gray")

givesd <- function(Input){
  sdtime <- c()
  tL <- length(Input[[1]]$V1)
  IL <- length(Input)
  for (i in 1:tL) {
    ents <- c()
    for (j in 1:IL) {
      ents[j]<- Input[[j]]$V1[i] 
    }
    sdtime[i] <- sd(ents)/sqrt(IL)
  }
  return(sdtime)
}


#Order of looping: loop over strs then loop over dts:
for(i in 1:length(strs)){
  for(j in 1:length(dts)){
    Its <- lapply(list.files(pattern = paste("L12_xr",xir,"_str",strs[i],"_dt",dts[j],"_T30_", sep = "")),function(k)(read.csv(k,header = FALSE)))
    avg <- Reduce("+", Its)/length(Its)
    S_sd <- givesd(Its)
    out <- data.frame(Entropy = avg$V1,MI = avg$V2,TMI = avg$V3, EntropySE = S_sd)
    write.table(out, file = paste("L12_xr2_dt_",dts[j],"_str_",strs[i],"_summary.txt", sep = ""), row.names = F, sep = ",")
    if(i==1 & j==1){
      plot(avg$V2, type = "l", lwd = 2, main = paste("lambda = ",strs[i],sep = ""), col = cols[j], xlab = "Time", ylab = "Entropy")
    }else{
      lines(avg$V2, type = "l", lwd = 2, col = cols[j])
    }
    legend("bottomright",legend = dts, col = cols, title = "dt", lwd = 2,lty = 1)
  }
}